## golang-github-yalue-merged-fs 1.3.0

=== debian/changelog ===
golang-github-yalue-merged-fs (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Mar 2025 09:21:01 -0400

golang-github-yalue-merged-fs (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1100098)

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Oct 2024 16:45:47 +0100
