=== debian/control ===
Source: golang-github-yalue-merged-fs
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-yalue-merged-fs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-yalue-merged-fs.git
Homepage: https://github.com/yalue/merged_fs
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/yalue/merged_fs

Package: golang-github-yalue-merged-fs-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: compose multiple Go filesystems
 The [release of version 1.16](https://golang.org/doc/go1.16) of the Go
 programming language included a standard interface for read-only filesystems,
 defined in Go's `io/fs` standard library package.  With this change came some
 other standard-library changes, including the fact that `archive/zip` now
 provides a "filesystem" interface for zip files, or the ability of `net/http`
 to serve files from any filesystem providing the `io/fs` interface.  In
 conjunction, this means utilities like the HTTP server can now directly serve
 content from zip files, without the data needing to be extracted manually.
 .
 While that's already pretty cool, wouldn't it be nice if you could, for
 example, transparently serve data from multiple zip files as if they were a
 single directory?  This library provides the means to do so: it implements the
 `io/fs.FS` interface using two underlying filesystems.  The underlying
 filesystems can even include additional `MergedFS` instances, enabling
 combining an arbitrary number of filesystems into a single `io/fs.FS`.
 .
 This repository provides a roughly similar function to laher/mergefs
 (https://github.com/laher/mergefs), but it offers one key distinction:
 correctly listing contents of merged directories present in both FS's. This
 adds quite a bit of complexity. However, laher/mergefs will be more performant
 for filesystems not requiring directory-listing capabilities.
