=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/yalue/merged_fs.git \
  HEAD debian
